Has patch:
Subject: Binding to nested arrays impossible for form-elements
Description

I want to bind my form to an array with variable nested arrays. I already extended form and set the formName to ---ignore--- to trigger
the objectAccessor-Mode - works so far. Now all names are generated perfectly but there is a useless check in getPropertyValue()
that makes it impossible to get a value of sth. like

<fh:form object="{gp}" fieldNamePrefix="gp">
    <f:textfield property="bla.blubb"/>
</form>
<!-- Which renders to: -->
<form...>
    <input type="text" name="gp[bla][blub]"/>
</form>

The value can not be detected because there is a check for array in AbstractFormFieldViewHelper on line 152.

As far as i can see this check is useless as the Tx_Extbase_Reflection_ObjectAccess::getPropertyPath($formObject,
$propertyName); can handle arrays too. So i would be very happy, if you could remove it :)

History
#1 - 2011-05-06 10:09 - Sebastian Kurfuerst
- Parent task set to #26658

#2 - 2011-09-09 15:20 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#3 - 2011-10-20 01:48 - Karsten Dambekalns
- Target version deleted (1.0.0)
http://forge.typo3.org/projects/package-fluid/repository/revisions/master/entry/Classes/ViewHelpers/Form/AbstractFormFieldViewHelper.php#L152

